Package org.xnio._private

# Interface Messages

All Superinterfaces:
  `org.jboss.logging.BasicLogger`

All Known Implementing Classes:
  `Messages_$logger`

@MessageLogger(projectCode="XNIO") public interface Messages extends org.jboss.logging.BasicLogger

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Messages`
`closeMsg`
`static final Messages`
`futureMsg`
`static final Messages`
`listenerMsg`
`static final Messages`
`msg`
`static final Messages`
`optionParseMsg`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`
`IllegalArgumentException`
`addressUnresolved(InetSocketAddress bindAddress)`
`IllegalArgumentException`
`appBufferTooSmall()`
`IllegalArgumentException`
`badCompressionFormat()`
`IllegalArgumentException`
`badSockType(Class<? extends SocketAddress> type)`
`IllegalStateException`
`blockingNotAllowed()`
`IllegalStateException`
`bufferFreed()`
`BufferOverflowException`
`bufferOverflow()`
`BufferUnderflowException`
`bufferUnderflow()`
`IllegalArgumentException`
`cantInstantiate(Class<?> clazz, Throwable cause)`
`IllegalStateException`
`channelNotAvailable()`
`CharConversionException`
`characterDecodingProblem()`
`IllegalArgumentException`
`classNotFound(String name, ClassNotFoundException cause)`
`IllegalArgumentException`
`classNotInstance(String name, Class<?> expectedType)`
`void`
`closingResource(Object resource)`
`ConcurrentStreamChannelAccessException`
`concurrentAccess()`
`EOFException`
`connectionClosedEarly()`
`void`
`connectionNotifyReadClosedFailed(Throwable cause, StreamConnection connection)`
`void`
`connectionNotifyWriteClosedFailed(Throwable cause, StreamConnection connection)`
`UnsupportedOperationException`
`copyNegative()`
`IOException`
`deflaterState()`
`IllegalArgumentException`
`differentWorkers()`
`void`
`exceptionHandlerException(Throwable cause)`
`void`
`executorSubmitFailed(RejectedExecutionException cause, Channel channel)`
`void`
`expandedSslBufferEnabled(int bufferSize)`
`SaslException`
`extraChallenge()`
`SaslException`
`extraResponse()`
`void`
`failedToCloseSSLEngine(Throwable cause, Exception originalException)`
`void`
`failedToInvokeFileWatchCallback(Throwable cause)`
`IllegalArgumentException`
`fieldNotAccessible(String fieldName, Class<?> clazz)`
`IllegalArgumentException`
`fieldNotStatic(String fieldName, Class<?> clazz)`
`FixedLengthOverflowException`
`fixedOverflow()`
`FixedLengthUnderflowException`
`fixedUnderflow(long remaining)`
`IOException`
`flushSmallBuffer()`
`void`
`greeting(String version)`
`IOException`
`inflaterNeedsDictionary()`
`InterruptedIOException`
`interruptedIO()`
`InterruptedIOException`
`interruptedIO(int bytesTransferred)`
`IllegalArgumentException`
`invalidNullOption(String name)`
`void`
`invalidOptionInProperty(String optionName, String name, Throwable problem)`
`IllegalArgumentException`
`invalidOptionName(String name)`
`IllegalArgumentException`
`invalidOptionPropertyFormat(String value)`
`IllegalArgumentException`
`invalidQop(String name)`
`IllegalArgumentException`
`invalidStrength(String name)`
`IllegalArgumentException`
`invalidURLScheme(String scheme)`
`void`
`listenerException(Throwable cause)`
`CharConversionException`
`malformedInput()`
`IOException`
`markNotSet()`
`IllegalArgumentException`
`minRange(String paramName, int minimumValue)`
`IllegalArgumentException`
`mismatchAddressType(Class<? extends InetAddress> expected, Class<? extends InetAddress> actual)`
`IllegalArgumentException`
`mismatchSockType(Class<? extends SocketAddress> bindType, Class<? extends SocketAddress> destType)`
`IllegalArgumentException`
`missingSslProvider()`
`IllegalArgumentException`
`mixedDirectAndHeap()`
`IllegalArgumentException`
`noField(String fieldName, Class<?> clazz)`
`IllegalArgumentException`
`noOptionParser()`
`IllegalArgumentException`
`noProviderFound()`
`IllegalArgumentException`
`notFromThisProvider()`
`void`
`notifierFailed(Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)`
`IllegalArgumentException`
`nullArrayIndex(String paramName, int index)`
`IllegalArgumentException`
`nullParameter(String name)`
`IllegalArgumentException`
`oneChannelMustBeConnection()`
`IllegalArgumentException`
`oneChannelMustBeSSL()`
`CancellationException`
`opCancelled()`
`IOException`
`openModeRequires7()`
`TimeoutException`
`opTimedOut()`
`IllegalArgumentException`
`optionClassNotFound(String className, ClassLoader classLoader)`
`IllegalArgumentException`
`parameterOutOfRange(String name)`
`SecurityException`
`propReadForbidden()`
`IllegalStateException`
`randomWrongThread()`
`IOException`
`readAppendNotSupported()`
`ReadOnlyBufferException`
`readOnlyBuffer()`
`ReadTimeoutException`
`readTimeout()`
`IOException`
`recvInvalidMsgLength(int length)`
`String`
`redirect()`
`void`
`resourceCloseFailed(Throwable cause, Object resource)`
`void`
`resourceReadShutdownFailed(Throwable cause, Object resource)`
`IllegalArgumentException`
`socketBufferTooSmall()`
`IOException`
`streamClosed()`
`IOException`
`txMsgTooLarge()`
`IOException`
`unexpectedHandshakeStatus(SSLEngineResult.HandshakeStatus status)`
`IOException`
`unexpectedUnwrapResult(SSLEngineResult.Status status)`
`IOException`
`unexpectedWrapResult(SSLEngineResult.Status status)`
`IOException`
`unflushedData()`
`CharConversionException`
`unmappableCharacter()`
`UnsupportedOperationException`
`unsupported(String methodName)`
`EOFException`
`writeShutDown()`
`WriteTimeoutException`
`writeTimeout()`
`IOException`
`wrongBufferExpansion()`
`IllegalStateException`
`xnioThreadRequired()`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

## Field Details

### msg

static final Messages msg

### futureMsg

static final Messages futureMsg

### optionParseMsg

static final Messages optionParseMsg

### closeMsg

static final Messages closeMsg

### listenerMsg

static final Messages listenerMsg

## Method Details

### greeting

@Message("XNIO version %s") @LogMessage(level=INFO) void greeting(String version)

### nullParameter

@Message(id=0, value="Method parameter \'%s\' cannot be null") IllegalArgumentException nullParameter(String name)

### minRange

@Message(id=1, value="Method parameter \'%s\' must be greater than %d") IllegalArgumentException minRange(String paramName, int minimumValue)

### badSockType

@Message(id=2, value="Unsupported socket address %s") IllegalArgumentException badSockType(Class<? extends SocketAddress> type)

### nullArrayIndex

@Message(id=3, value="Method parameter \'%s\' contains disallowed null value at index %d") IllegalArgumentException nullArrayIndex(String paramName, int index)

### mismatchSockType

@Message(id=4, value="Bind address %s is not the same type as destination address %s") IllegalArgumentException mismatchSockType(Class<? extends SocketAddress> bindType, Class<? extends SocketAddress> destType)

### noField

@Message(id=5, value="No such field named \"%s\" in %s") IllegalArgumentException noField(String fieldName, Class<?> clazz)

### optionClassNotFound

@Message(id=6, value="Class \"%s\" not found in %s") IllegalArgumentException optionClassNotFound(String className, ClassLoader classLoader)

### fieldNotAccessible

@Message(id=7, value="Field named \"%s\" is not accessible (public) in %s") IllegalArgumentException fieldNotAccessible(String fieldName, Class<?> clazz)

### fieldNotStatic

@Message(id=8, value="Field named \"%s\" is not static in %s") IllegalArgumentException fieldNotStatic(String fieldName, Class<?> clazz)

### copyNegative

@Message(id=9, value="Copy with negative count is not supported") UnsupportedOperationException copyNegative()

### invalidOptionInProperty

@Message(id=10, value="Invalid option \'%s\' in property \'%s\': %s") @LogMessage(level=WARN) void invalidOptionInProperty(String optionName, String name, Throwable problem)

### readOnlyBuffer

@Message(id=12, value="Attempt to write to a read-only buffer") ReadOnlyBufferException readOnlyBuffer()

### bufferUnderflow

@Message(id=13, value="Buffer underflow") BufferUnderflowException bufferUnderflow()

### bufferOverflow

@Message(id=14, value="Buffer overflow") BufferOverflowException bufferOverflow()

### parameterOutOfRange

@Message(id=15, value="Parameter \'%s\' is out of range") IllegalArgumentException parameterOutOfRange(String name)

### mixedDirectAndHeap

@Message(id=16, value="Mixed direct and heap buffers not allowed") IllegalArgumentException mixedDirectAndHeap()

### bufferFreed

@Message(id=17, value="Buffer was already freed") IllegalStateException bufferFreed()

### randomWrongThread

@Message(id=18, value="Access a thread-local random from the wrong thread") IllegalStateException randomWrongThread()

### channelNotAvailable

@Message(id=19, value="Channel not available from connection") IllegalStateException channelNotAvailable()

### noOptionParser

@Message(id=20, value="No parser for this option value type") IllegalArgumentException noOptionParser()

### invalidOptionPropertyFormat

@Message(id=21, value="Invalid format for property value \'%s\'") IllegalArgumentException invalidOptionPropertyFormat(String value)

### classNotFound

@Message(id=22, value="Class %s not found") IllegalArgumentException classNotFound(String name, @Cause ClassNotFoundException cause)

### classNotInstance

@Message(id=23, value="Class %s is not an instance of %s") IllegalArgumentException classNotInstance(String name, Class<?> expectedType)

### invalidOptionName

@Message(id=24, value="Invalid option name \'%s\'") IllegalArgumentException invalidOptionName(String name)

### invalidNullOption

@Message(id=25, value="Invalid null option \'%s\'") IllegalArgumentException invalidNullOption(String name)

### readAppendNotSupported

@Message(id=26, value="Read with append is not supported") IOException readAppendNotSupported()

### openModeRequires7

@Message(id=27, value="Requested file open mode requires Java 7 or higher") IOException openModeRequires7()

### xnioThreadRequired

@Message(id=28, value="Current thread is not an XNIO I/O thread") IllegalStateException xnioThreadRequired()

### badCompressionFormat

@Message(id=29, value="Compression format not supported") IllegalArgumentException badCompressionFormat()

### differentWorkers

@Message(id=30, value="Both channels must come from the same worker") IllegalArgumentException differentWorkers()

### oneChannelMustBeConnection

@Message(id=31, value="At least one channel must have a connection") IllegalArgumentException oneChannelMustBeConnection()

### oneChannelMustBeSSL

@Message(id=32, value="At least one channel must be an SSL channel") IllegalArgumentException oneChannelMustBeSSL()

### invalidQop

@Message(id=33, value="\'%s\' is not a valid QOP value") IllegalArgumentException invalidQop(String name)

### cantInstantiate

@Message(id=34, value="Failed to instantiate %s") IllegalArgumentException cantInstantiate(Class<?> clazz, @Cause Throwable cause)

### concurrentAccess

@Message(id=35, value="Stream channel was accessed concurrently") ConcurrentStreamChannelAccessException concurrentAccess()

### malformedInput

@Message(id=36, value="Malformed input") CharConversionException malformedInput()

### unmappableCharacter

@Message(id=37, value="Unmappable character") CharConversionException unmappableCharacter()

### characterDecodingProblem

@Message(id=38, value="Character decoding problem") CharConversionException characterDecodingProblem()

### mismatchAddressType

@Message(id=40, value="Mismatched IP address type; expected %s but got %s") IllegalArgumentException mismatchAddressType(Class<? extends InetAddress> expected, Class<? extends InetAddress> actual)

### invalidStrength

@Message(id=41, value="\'%s\' is not a valid Strength value") IllegalArgumentException invalidStrength(String name)

### addressUnresolved

@Message(id=42, value="Cannot add unresolved address \'%s\'") IllegalArgumentException addressUnresolved(InetSocketAddress bindAddress)

### missingSslProvider

@Message(id=100, value="\'https\' URL scheme chosen but no SSL provider given") IllegalArgumentException missingSslProvider()

### invalidURLScheme

@Message(id=101, value="Unknown URL scheme \'%s\' given; must be one of \'http\' or \'https\'") IllegalArgumentException invalidURLScheme(String scheme)

### extraChallenge

@Message(id=200, value="Unexpected extra SASL challenge data received") SaslException extraChallenge()

### extraResponse

@Message(id=201, value="Unexpected extra SASL response data received") SaslException extraResponse()

### socketBufferTooSmall

@Message(id=300, value="Socket buffer is too small") IllegalArgumentException socketBufferTooSmall()

### appBufferTooSmall

@Message(id=301, value="Application buffer is too small") IllegalArgumentException appBufferTooSmall()

### wrongBufferExpansion

@Message(id=302, value="SSLEngine required a bigger send buffer but our buffer was already big enough") IOException wrongBufferExpansion()

### unexpectedWrapResult

@Message(id=303, value="Unexpected wrap result status: %s") IOException unexpectedWrapResult(SSLEngineResult.Status status)

### unexpectedHandshakeStatus

@Message(id=304, value="Unexpected handshake status: %s") IOException unexpectedHandshakeStatus(SSLEngineResult.HandshakeStatus status)

### unexpectedUnwrapResult

@Message(id=305, value="Unexpected unwrap result status: %s") IOException unexpectedUnwrapResult(SSLEngineResult.Status status)

### notFromThisProvider

@Message(id=306, value="SSL connection is not from this provider") IllegalArgumentException notFromThisProvider()

### failedToCloseSSLEngine

@Message(id=307, value="Failed to close ssl engine when handling exception %s") @LogMessage(level=DEBUG) void failedToCloseSSLEngine(@Cause Throwable cause, Exception originalException)

### readTimeout

@Message(id=800, value="Read timed out") ReadTimeoutException readTimeout()

### writeTimeout

@Message(id=801, value="Write timed out") WriteTimeoutException writeTimeout()

### fixedOverflow

@Message(id=802, value="Write past the end of a fixed-length channel") FixedLengthOverflowException fixedOverflow()

### fixedUnderflow

@Message(id=803, value="Close before all bytes were written to a fixed-length channel (%d bytes remaining)") FixedLengthUnderflowException fixedUnderflow(long remaining)

### recvInvalidMsgLength

@Message(id=804, value="Received an invalid message length of %d") IOException recvInvalidMsgLength(int length)

### writeShutDown

@Message(id=805, value="Writes have been shut down") EOFException writeShutDown()

### txMsgTooLarge

@Message(id=806, value="Transmitted message is too large") IOException txMsgTooLarge()

### unflushedData

@Message(id=807, value="Unflushed data truncated") IOException unflushedData()

### interruptedIO

@Message(id=808, value="I/O operation was interrupted") InterruptedIOException interruptedIO()

### interruptedIO

InterruptedIOException interruptedIO(@Field int bytesTransferred)

### flushSmallBuffer

@Message(id=809, value="Cannot flush due to insufficient buffer space") IOException flushSmallBuffer()

### deflaterState

@Message(id=810, value="Deflater doesn\'t need input, but won\'t produce output") IOException deflaterState()

### inflaterNeedsDictionary

@Message(id=811, value="Inflater needs dictionary") IOException inflaterNeedsDictionary()

### connectionClosedEarly

@Message(id=812, value="Connection closed unexpectedly") EOFException connectionClosedEarly()

### streamClosed

@Message(id=813, value="The stream is closed") IOException streamClosed()

### markNotSet

@Message(id=814, value="Mark not set") IOException markNotSet()

### redirect

@Message(id=816, value="Redirect encountered establishing connection") String redirect()

### unsupported

@Message(id=900, value="Method \'%s\' is not supported on this implementation") UnsupportedOperationException unsupported(String methodName)

### blockingNotAllowed

@Message(id=1000, value="Blocking I/O is not allowed on the current thread") IllegalStateException blockingNotAllowed()

### noProviderFound

@Message(id=1001, value="No XNIO provider found") IllegalArgumentException noProviderFound()

### opCancelled

@Message(id=1002, value="Operation was cancelled") CancellationException opCancelled()

### notifierFailed

@Message(id=1003, value="Running IoFuture notifier %s (with attachment %s) failed") @LogMessage(level=WARN) void notifierFailed(@Cause Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)

### opTimedOut

@Message(id=1004, value="Operation timed out") TimeoutException opTimedOut()

### propReadForbidden

@Message(id=1005, value="Not allowed to read non-XNIO properties") SecurityException propReadForbidden()

### failedToInvokeFileWatchCallback

@Message(id=1006, value="Failed to invoke file watch callback") @LogMessage(level=ERROR) void failedToInvokeFileWatchCallback(@Cause Throwable cause)

### listenerException

@Message(id=1007, value="A channel event listener threw an exception") @LogMessage(level=ERROR) void listenerException(@Cause Throwable cause)

### exceptionHandlerException

@Message(id=1008, value="A channel exception handler threw an exception") @LogMessage(level=ERROR) void exceptionHandlerException(@Cause Throwable cause)

### acceptFailed

@Message(id=1009, value="Failed to accept a connection on %s") @LogMessage(level=ERROR) void acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, @Cause IOException reason)

### executorSubmitFailed

@Message(id=1010, value="Failed to submit task to executor: (closing %s)") @LogMessage(level=ERROR) void executorSubmitFailed(@Cause RejectedExecutionException cause, Channel channel)

### closingResource

@Message("Closing resource %s") @LogMessage(level=TRACE) void closingResource(Object resource)

### resourceCloseFailed

@Message("Closing resource %s failed") @LogMessage(level=TRACE) void resourceCloseFailed(@Cause Throwable cause, Object resource)

### resourceReadShutdownFailed

@Message("Shutting down reads on %s failed") @LogMessage(level=TRACE) void resourceReadShutdownFailed(@Cause Throwable cause, Object resource)

### expandedSslBufferEnabled

@Message("Expanded buffer enabled due to overflow with empty buffer, expanded buffer size is %s") @LogMessage(level=TRACE) void expandedSslBufferEnabled(int bufferSize)

### connectionNotifyReadClosedFailed

@Message("Notify read closed for connection %s failed") @LogMessage(level=TRACE) void connectionNotifyReadClosedFailed(@Cause Throwable cause, StreamConnection connection)

### connectionNotifyWriteClosedFailed

@Message("Notify write closed for connection %s failed") @LogMessage(level=TRACE) void connectionNotifyWriteClosedFailed(@Cause Throwable cause, StreamConnection connection)